import { RPCClientError } from '@loafer/ng-rpc';

import { Selector, createSelector } from '@ngrx/store';
import { createEntityAdapter, EntityState } from '@loafer/ng-entity';
import { MetaSensorItemKey } from '@overflow/commons-typescript/model/meta';

export const metaSensorItemKeyEntityAdapter = createEntityAdapter<MetaSensorItemKey, RPCClientError>();
export interface State extends EntityState<MetaSensorItemKey, RPCClientError> {
}
export const initialState: State = metaSensorItemKeyEntityAdapter.getInitialState({
});

export function getSelectors(selector: Selector<any, State>) {
  return {
    ...metaSensorItemKeyEntityAdapter.getSelectors(selector),
  };
}
